%% Files for Appendix Specification with internal finance (z=0.5)
%
%%   - Main.m:
%       - loads "Start_Appendix_Files.mat" which contains starting values 
%       for the parameters in the approximating function for GSSA
%       - Conducts GSSA
%       - Saves "Restart_Appendix_Files.mat" and "Appendix_File_z50.mat"
%       which contain both the tuned parameters and the 10,000 period
%       simultation results
%       - Run this first
%
%%   - IRF.m:
%       - Uses tuned parameters found in "Main.m" to generate impulse
%       response functions for this specification
%       - Run this after Main.m
%
%%   - Summary_Results.m:
%       - loads "Appendix_File_z50.mat" and computes the 2nd moments
%       presented in tables
%       - Run this after Main.m