%% Files for OB_Baseline Specification (No Reduced Wage Equation)
%
%%   - Main.m:
%       - loads "OB_start_Order_4.mat" which contains starting values 
%       for the parameters in the approximating function for GSSA
%       - Conducts GSSA
%       - Saves "OB_Order_4.mat" which contain both the tuned parameters 
%       and the 10,000 period simultation results
%       - Run this first
%
%%   - IRF.m:
%       - Uses tuned parameters found in "Main.m" to generate impulse
%       response functions for this specification
%       - Run this after Main.m
%
%%   - Summary_Results.m:
%       - loads "OB_Order_4.mat" and computes the 2nd moments presented in 
%       tables
%       - Run this after Main.m