function data = Hermite(state,order)

A1=state(:,1);
A2=A1.^2-1;
A3=A1.^3-3.*A1;
A4=A1.^4-6.*A1.^2+3;

B1=state(:,2);
B2=B1.^2-1;
B3=B1.^3-3.*B1;
B4=B1.^4-6.*B1.^2+3;

C1=state(:,3);
C2=C1.^2-1;
C3=C1.^3-3.*C1;
C4=C1.^4-6.*C1.^2+3;

D1=state(:,4);
D2=D1.^2-1;
D3=D1.^3-3.*D1;
D4=D1.^4-6.*D1.^2+3;

if order==1
    data=[A1,B1,C1,D1];
end

if order==2
    data=[A1,B1,C1,D1,A2,A1.*B1,A1.*C1,A1.*D1,B2,B1.*C1,B1.*D1,C2,C1.*D1,D2];
end

if order==3
    data=[A1,B1,C1,D1,A2,A1.*B1,A1.*C1,A1.*D1,B2,B1.*C1,B1.*D1,C2,C1.*D1,D2,...
        A3,A2.*B1,A2.*C1,A2.*D1,B3,B2.*A1,B2.*C1,B2.*D1,...
        C3,C2.*A1,C2.*B1,C2.*D1,D3,D2.*A1,D2.*B1,D2.*C1];
end

if order==4
    data=[A1,B1,C1,D1,A2,A1.*B1,A1.*C1,A1.*D1,B2,B1.*C1,B1.*D1,C2,C1.*D1,D2,...
        A3,A2.*B1,A2.*C1,A2.*D1,B3,B2.*A1,B2.*C1,B2.*D1,...
        C3,C2.*A1,C2.*B1,C2.*D1,D3,D2.*A1,D2.*B1,D2.*C1,...
        A4,A3.*B2,A3.*C2,A3.*D2,B4,B3.*A2,B3.*C2,B3.*D2,...
        C4,C3.*A2,C3.*B2,C3.*D2,D4,D3.*A2,D3.*B2,D3.*C2];
end

end

