function errors= SS(SS_guess,pars)

ks=SS_guess(1);
Gs=SS_guess(2);

oldopts=optimset('fsolve');
newopts=optimset('Display','off');
options=optimset(oldopts,newopts);

ph=pars(1);
alpha=pars(2);
beta=pars(3);
delta=pars(4);
us=pars(5);
fs=pars(6);
gamma=pars(7);
b=pars(8);
Phis=pars(9);

RepRatio=pars(10);

rs=1-beta*(1-delta);

ns=1-us;
xs=(us*fs)/(1-us);
matchs=xs*ns;
vs=Phis*us;
qs=fs/Phis;

ys=ph*ks^alpha*ns^(1-alpha);
ps=beta*ys;
ss=1-((rs*ks)/(alpha*ps));
ws=(ps*ss-rs*ks-vs*Gs)/ns;
Jns=Gs/(qs*beta);
cs=ys-delta*ks-vs*Gs;
eta=RepRatio*(ws/cs);
Vns=(b*Jns)/((1-b)*cs);

error1=Jns-(((1-alpha)*(1-ss)*ps)/ns)-(((1-xs)*Gs)/qs)+ws;
error2=Vns-(ws/cs)+eta-beta*(1-xs-fs)*Vns;

errors=[error1;error2];
end

