function error = Solve_W(w,pars)

p=pars(1);
s=pars(2);
n=pars(3);
v=pars(4);
G=pars(5);
kp=pars(6);
alpha=pars(7);
dp=pars(8);
thetaLprime=pars(9);
b=pars(10);
eta=pars(11);
c=pars(12);
Phi=pars(13);

r=(p*s-w*n-v*G)/kp;
lambda=1+((r*kp-alpha*(1-s)*p)/(alpha*(1-s)*p*s-r*kp));
Mu=((p*s)/(dp*thetaLprime*kp^alpha*n^(1-alpha)))*(lambda-1);

error=w-(1/(1+b*(lambda-1)))*(eta*c+b*((1-alpha)*(1-s)*p*(1/n)+lambda*Phi*G-...
    eta*c+Mu*(1-alpha)*dp*(1-s)*thetaLprime*(kp/n)^alpha));

end

